Simrad PI Configurator
Operator manual
Release 4.3.X
This manual provides you with the basic information required to install and use the Simrad PI Configurator utility.
Programming mode: User


Document information
History
Document number: 164924 / ISBN-13: 978-82-8066-040-4
Rev.A | 01.03. 2004 | First version.
Rev.B | 01.11.2005 | Revised for SW version 3.40
Rev.C | 01.01.2008 | Revised for SW version 4.0x
Rev.D | 31.05.2010 | Revised for SW version 4.3.X.
Copyright
©2010 Kongsberg Maritime AS
The information contained in this document remains the sole property of Kongsberg Maritime AS. No part of this document may be copied or reproduced in any form or by any means, and the information contained within it is not to be communicated to a third party, without the prior written consent of Kongsberg Maritime AS. The document, or any part of it, may not be translated to any other language without the written approval from Kongsberg Maritime AS.
Disclaimer
Kongsberg Maritime AS endeavours to ensure that all information in this document is correct and fairly stated, but does not accept liability for any errors or omissions.
Warning
The equipment to which this manual applies must only be used for the purpose for which it was designed. Improper use or maintenance may cause damage to the equipment and/or injury to personnel. The user must be familiar with the contents of the appropriate manuals before attempting to install, operate or work on the equipment.
Kongsberg Maritime AS disclaims any responsibility for damage or injury caused by improper installation, use or maintenance of the equipment.
Support information
If you require maintenance or repair, contact your local dealer. You can also contact us using the following address: contact@simrad.com. If you need information about our other products, visit our web site. On the web site you will also find a list of our dealers and distributors.


Introduction
The purpose of the PI Configurator utility is to be able to set up Simrad’s catch monitoring sensors so that they can operate on different communication channels. Several vessels equipped with Simrad’s PI catch monitoring systems may then operate simultaneously in the same area without interference.
The PI Configurator utility also allows you to change the update rate on each PI sensor. This is the time elapsed between each data transmission from the sensor to your host PI system. The update rate can not be changed on PS sensors.
This document describes software version 4.3.X.
Topics
• Basic information
• About sensor configuration
• Spread and Remote sensors configuration
• Geometry and Mini-R sensors configuration
• Programming modes


Basic information
This section provides basic information about the PI Configurator utility.
• Default sensor settings
• Who can program PI sensors?
• Necessary equipment
• Equipment available from Simrad


Default sensor settings
PI and PS sensors are delivered from Simrad readily set up with common default settings. When required, the individual sensors may be programmed with regard to:
• Communication channel
• LED control
• Ping control
• Data update rate
• Remote and Mini-R
• Show channel with LED flash at start up
The default settings provided with the individual sensors are specified in section Default communication channels and update rates.


Who can program PI sensors?
Sensor configuration is normally performed by authorized Simrad technicians. However, individuals with basic computer skills and access to the necessary equipment should not find it difficult.


Necessary equipment
The following hard- and software is required to use the PI Configurator utility:
• PI Configurator software
• A personal computer with a serial line and/or USB communication port
The following operating systems are supported:
– Microsoft® Windows XP®
– Microsoft® Windows 7
• A sensor programming cable for either a stationary (desktop) or portable (laptop) computer (if computer’s RS-232 serial line interface is used).
• PI CIC Interface unit (if computer’s USB interface is to be used)
Note that the sensor programming cables for stationary and portable computers are designed differently and are not interchangeable.


Equipment available from Simrad
The following equipment are available from Simrad. The order numbers are provided in brackets.
• Instruction manual [857-164924]
• Software [889-204037]
• Programming serial cable for stationary [desktop] computers [380-204624]
• Programming serial cable for portable [laptop] computers [380-208429]
• PI CIC Interface unit for USB communication [326157]
• Service hydrophone [314-204480]
The configuration equipment is also is available in kits:
• KIT 1: Instruction manual and software [KIT-208780]
• KIT 2: Instruction manual, software and programming cable for stationary [desktop] computer [KIT-208781]
• KIT 3: Instruction manual, software and programming cable for portable [laptop] computers [KIT-208782]


About sensor configuration
All sensors are provided from Simrad with predefined communication channels and update rates. By means of the PI Configurator utility, these default parameter settings may be modified to suit your preferences.
• Default communication channels and update rates
• Changing a communication channel
• Changing the update rate


Default communication channels and update rates
See the table below for the initial values for the communication channels and update rates for the various sensors.
Default communication channels and update rates
Sensor | Com.channel(s) | Update rate
PI Bottom Contact | 6 | Normal
PI Catch | 4 | Normal
PI Depth | Depth 300M: 16 Depth 600M: 12 Depth 1000M: 10 | Fast Fast Fast
PI Height | 14 | Normal
PI Height/Depth Mk.1 | Depth 300M: 5 Depth 600M: 9 Depth 1000M: 1 Height: 14 | Fast Fast Fast Fast
PI Height/Depth Mk.2 PI SeineSounder | Depth 300M: 3 Depth 600M: 9 Depth 1000M: 1 Height: 14 | Fast Fast Normal Same as depth
PI Remote/Depth | Depth 300M: 11 Depth 600M: 15 Depth 1000M: 13 | Normal Normal Normal
PI Spread | 2 | Normal
PI Spread/Depth | Depth 300M: 16 Depth 600M: 12 Depth 1000M: 10 Spread: 2 | Normal Normal Normal Normal
PI Twin Spread | 2 and 7 | Normal
PI Temperature | 8 | Normal
PI Geometry | Standard: 1 and 3 Extended range (XT): 1 and 3 Differential (DF): 1 | Normal Normal Normal


Changing a communication channel
It may be required to change one or more communication channels, and there may be many reasons for this.
• You have more than one of each sensor. For example, if you have three temperature sensors, they MUST communicate on three different channels.
• Other vessels near your use the same PI catch monitoring system (or a similar), and they have one or more of their sensors set up to the same communication channels as you have. This will create interference, as you will "read" each others sensors.
• If your sensors are set up to use communication channels too close to each other (for example, you have chosen channels 4, 5 and 6), this will limit the vessel speed. The reason for this is the Doppler effect. If the speed is too high, the Doppler will cause the transmission frequencies to change so much that they overlap, and this will create interference. The PI system will provide a warning if this is about to happen! You must then either change to other communication channels further apart, or reduce the maximum shooting speed.
• If you operate at the maximum range of the sensors, you may be able to increase this range slightly if you use lower communication channels. This is because the lower communication channels use lower transmission frequencies.
All sensors are provided from Simrad with a default communication channel. In some cases you may find that the chosen channel does not suit your operational needs, for example if you have more than one sensor of any given type. This is a decision you have to make depending on how many sensors you use, and how many of these that are identical.
• Default communication channels and update rates


Changing the update rate
It may be required to change the update rate on a sensor, that is how often it sends information back to the PI catch monitoring system. A high update rate will give frequent information updates, but the sensor will use more battery power. If you need your batteries to last as long as possible, you must consider lowering the update rate.
• A low update rate will provide you with fewer information updates, but the battery will last very long.
• A high update rate will give you frequent information updates, but the battery will run out faster.
All sensors are provided from Simrad with a default update rate setting. In some cases you may find that this update rate does not suit your operational needs. This is a decision you have to make depending on the local fishing conditions.
• Default communication channels and update rates


Spread and Remote sensors configuration
Whenever you use the PI Spread and PI Remote sensors, you must make sure that these communicate correctly. Should incorrect transmission parameters be chosen, the sensors will not be able to communicate with each other, and the PI system will display “± ± ±".
Single trawl
• Spread 1 must communicate with Remote 1.
• Spread 2 must communicate with Remote 2.
Twin trawl
• Twin Spread 1 must communicate with Remote 1 and 3.
• Twin Spread 2 must communicate with Remote 2 and 4.
A Twin Spread sensor uses two channels to communicate with the Remote sensors; one channel for each Remote.
Dual twin trawl
• Twin Spread 1 must communicate with Remote 1 and 3.
• Twin Spread 2 must communicate with Remote 2 and 4.
To set up a dual twin trawl configuration, the two sets of Twin Spread sensors must work with different communication channels.


Geometry and Mini-R sensors configuration
Whenever you use the PI Geometry sensors, you must make sure that these communicate correctly. Should incorrect transmission parameters be chosen, the sensors and responders will not be able to communicate with each other, and the PI system will display “± ± ±".
The following PI Geometry versions exist:
• Geometry Fine – High resolution icon to detect smaller changes
• Geometry Coarse – Low resolution icon to detect larger changes
• Geometry XT (Extended) Fine – Extended range, high resolution icon to detect smaller changes
• Geometry XT (Extended) Coarse – Extended range, low resolution icon to detect larger changes
• Geometry DF (Differential) Fine – differential measurement (single channel), high resolution icon to detect smaller changes
• Geometry DF (Differential) Coarse – differential measurement (single channel), low resolution icon to detect larger changes
The DF (Differential) Geometry sensor setting will only use one channel on the PI system, but will not provided extended range.
The Coarse or Fine settings are not defined by the sensor configuration, but in the PI menu system.
On the PI44/54 systems the phrases Sensitive and Coarse are used.
All Geometry versions are set up according to the following principles:
Single trawl
• Geometry 1 must communicate with Mini–R 1 and Mini-R 3.
• Geometry 2 must communicate with Mini–R 2 and Mini-R 4.
Twin trawl
• Geometry 1 must communicate with Mini–R 1 and Mini-R 3.
• Geometry 2 must communicate with Mini–R 2 and Mini-R 4.


Programming modes
The PI Configurator configuration software has three programming modes:
• User
• Distributor
• Factory
The different modes will disable or enable various functions provided by the utility.
Caution
The use of PI Configurator software in the Distributor and Factory modes is for qualified Simrad personnel only. Improper use of PI Configurator software in these modes can cause permanent, irreparable damage to sensors. It must therefore never be activated by unqualified personnel.
This operator manual describes the User functionality.
Available functions for the programming modes
Function | User | Distributor | Factory
Sensor | — | OK | OK
Update | OK | OK | OK
Measure 1/2 | — | OK | OK
Channel 1/2 | OK | OK | OK
Ping Control | — | OK | OK
Remote and Mini-R | OK | OK | OK
LED Control | — | OK | OK
Number | OK | OK | OK
Show Channel | — | OK | OK
Serial Number | — | — | OK
Programming Mode | — | OK | OK


Main dialog
Observe the illustration and descriptions below. Note that the appearance of function buttons will differ depending on the sensor type connected to the utility. When functions are unavailable, the fields are identified accordingly with a shaded appearance.
The menu system provided on the main dialogue is divided into three groups:
1 Communication
2 Configuration
3 Parameters
In addition, the main menu on the top of the dialogue offers two choices; File and Help.
Topics
• Screen capture
• Communication
• Configuration
• Parameter displays
• File menu
• Help menu


Screen capture
PI Configurator
This screen captures shows the appearance of the PI Configurator’s Main dialog when it is connected to a PI Spread/Depth sensor. The functions related to specific sensors are only activated when the relevant sensor is connected. For other sensors, depending on sensor type, the buttons are faded down to reflect unavailability.


Communication
The following communication options are available. These are easily recognized due to the red background colour in the buttons.
1 Establish Communication: Once the sensor is physically connected to the computer, click to initiate sensor interface.
2 Read Sensor: Click to download the current parameter settings from the sensor. The information is shown in the Configuration and Parameter fields below.
3 Program Sensor: Click to upload the new configuration parameters you have defined for the sensor.
4 Terminate Communication: Click to disable the communication between the sensor and the computer.
5 Default Sensor Setting: Click to program the sensor with the corresponding factory default settings.
For more information, see:
• Establish Communication
• Read Sensor
• Program Sensor
• Terminate Communication
• Default Sensor Setting


Configuration
The following configuration options are available.
1 Sensor: This field displays the sensor type; Single or Dual.
2 Update: Select the time interval between the data transmissions from the sensor.
3 Measure: These fields display the measurements the current sensor is making.
4 Channel: Select the transmission channel number(s) to be uploaded to the sensor. If a dual or a Twin Spread sensor is connected, two communication channels must be defined.
5 Ping control: Click to control how often the sensor will transmit its information back to the vessel.
6 Remote: This configuration field is used during Twin Spread configuration, when it is used to define the Remote sensors combination to be used in the twin spread system. When a Remote sensor is connected, the button is renamed Remote Number, and it is used to define the sensor’s number.
7 LED control: Click to control the behaviour of the sensor’s internal LED.
8 Number: Select the number for the Remote sensor.
9 Show channel: Click to activate or deactivate the sensor’s internal LED identification flash.
10 Listening Mode: Click to change listening mode (for single or dual trawl) for the Remote Mk.1 sensors.
For more information, see:
• Sensor
• Update
• Measure
• Channel
• Ping Control
• Remote
• Mini-R
• LED Control
• Number
• Show Channel
• Listening Mode


Parameter displays
The following parameter display options are available.
1 Serial number: This field displays the sensor’s serial number. Note that this parameter is not available for PS sensors.
2 Battery voltage: This field display the current battery voltage.
3 Sensor temperature: This field displays the current temperature inside the sensor.
4 Battery temperature: This field displays the current temperature of the sensor battery.
5 Software version: This field displays the current version of the sensor’s control software.
6 Battery type: This field displays the type of battery currently installed in the sensor.
7 FPGA function: This field displays the function(s) supported by the sensor software.
8 FPGA version: This field displays the current version of the sensor’s processing software.
9 Battery capacity: This field displays the capacity of the battery.
For more information, see:
• Serial Number
• Battery Voltage
• Sensor Temperature
• Battery Temperature
• Software Version
• Battery Type
• FPGA Function
• FPGA Version
• Battery Capacity


File menu
The following options are available on the File menu.
1 Com.port setup: This command allows you to set up the communication port used to interface the sensor.
2 Language: This command allows you to select the language used on the main dialogue.
3 Quit: This command closes the PI Configurator utility.
For more information, see:
• Communication Port Setup
• Language
• Debug window
• Quit


Help menu
The following options are available on the Help menu.
1 Help: This command opens the on-line help.
You can also right-click on any button to open the help system.
2 About: This command provides information about the current software version.
For more information, see:
• Help
• About


Operational procedures
The following procedures are provided to offer you easy use of the PI Configurator utility.
Topics
• Connecting the sensor
– Initial setup
– Connect the sensor
• Sensor configuration
– How to do basic configuration
– How to do Twin Spread configuration
– How to do Geometry configuration
– How to upload factory defaults
• Software procedures
– How to install the PI Configurator software
– How to obtain the PI Configurator license
– How to upgrade the PI Configurator software
– How to remove the PI Configurator software


Connecting the sensor
Before you can program the sensor, you need to connect it to the computer. Observe the procedures below.
• Initial setup
• Connect the sensor


Initial setup
This procedure explains how to set up the communication between the computer and the sensor to be set up.
Whenever you prepare a sensor for configuration and/or charging, make sure that mounting material attached to the charging lugs do not form an electrical connection, as this will short the charging current.
This procedure is only required the first time the sensor is connected to your computer.
Note
If you use the PI CIC interface unit, make sure that you have installed the required software driver. The driver is provided on the CD that follows the PI CIC unit.
1 Plug the serial programming cable into a vacant serial line socket on your computer.
If you use the PI CIC interface unit, plug the USB connector into a vacant USB socket on your computer.
Note
If you unplug the programming cable, remember which socket you used. The next time you plug it in, use the same socket.
2 Start the PI Configurator utility.
3 On the PI Configurator main menu, select File →Com.port Setup.
4 Click to select the serial COM port the programming cable is plugged into, then click OK.
If you use the PI CIC interface unit, you may need to try out several ports to find the right one.


Connect the sensor
This procedure is used every time you connect a sensor to the computer.
1 Plug the serial programming cable into a vacant serial line socket on your computer.
If you use the PI CIC interface unit, plug the USB connector into a vacant USB socket on your computer.
Note
If you unplug the programming cable, remember which socket you used. The next time you plug it in, use the same socket.
2 Start the PI Configurator utility.
3 Ensure that the sensor to be connected is switched off.
Check that the sensor’s internal LED does not flash, and that the sea water switch is not activated in any way.
4 Attach the programming cable’s positive (red) alligator clip to one of the sensor’s positive fastening lugs (designated with a plus symbol).
5 Attach the programming cable’s negative (black) alligator clip to one of the sensor’s negative fastening lugs (designated with a minus symbol).
6 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
7 Observe that the information provided by the sensor is read and displayed by the PI Configurator.
If there is a malfunction, you will be notified accordingly.


Sensor configuration
This section provides standard procedures related to sensor configuration.
• How to do basic configuration
• How to do Twin Spread configuration
• How to do Geometry configuration
• How to upload factory defaults


How to do basic configuration
Once the sensor is connected to the computer, and you have established communication, you can use the PI Configurator utility to change the basic sensor parameters.
Note
When the PI Configurator is set up for use in User mode, these are the only settings you are permitted to change.
• About sensor configuration
1 Start the PI Configurator utility, and connect the sensor to the computer with the programming cable.
• Connect the sensor
2 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
3 Click the Read Sensor button.
Observe that the current sensor configuration parameters are displayed in the appropriate fields.
4 If required, select new communication channel in the Channel spin box.
5 If required, select a new update rate in the Update spin box.
6 Click the Program Sensor button to upload the new parameters.
7 Click the Terminate Communication button to disable the communication between the computer and the sensor.
8 Disconnect the alligator clips from the sensor.
If you do not wish to program additional sensors, disconnect the entire programming cable, and close the PI Configurator utility.


How to do Twin Spread configuration
These procedures explain how to set up a Twin Spread sensor with its corresponding Remote sensors.
Observe the information about Spread and Remote sensors provided in the Introduction chapter.
Topics
• Twin Spread sensor configuration
• Remote sensors configuration
Related topics
• Spread and Remote sensors configuration
Twin Spread sensor configuration
This procedure explains how to set up a Twin Spread sensor.
1 Start the PI Configurator utility, and connect the sensor to the computer with the programming cable.
• Connect the sensor
2 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
3 Click the Read Sensor button.
Observe that the current sensor configuration parameters are displayed in the appropriate fields.
4 If required, select new communication channels in the two Channel spin boxes.
Two communication channels are used to read the information from the Twin Spread sensor. These are simply identified as #1 and #2.
5 If required, select a new update rate in the Update spin box.
6 If required, select Remote sensor combination in the Remote spin box.
1 You can use Remote combinations 1 and 3 or 2 and 4.
2 The number identifies the Remote sensor to be used, and the Remote sensor must be set up with the corresponding number.
3 The combination you select here must match the two Remote sensors you wish to use. For example, if you select combination 1 and 3, the two Remote sensor to be used must be set up as #1 and #3.
7 If applicable, click to set Listening Mode to Dual.
8 Click the Program Sensor button to upload the new parameters.
9 Click the Terminate Communication button to disable the communication between the computer and the sensor.
10 Disconnect the alligator clips from the sensor.
If you do not wish to program additional sensors, disconnect the entire programming cable, and close the PI Configurator utility.
Remote sensors configuration
This procedure explains how to set up the Remote sensors for use with a Twin Spread sensor..
1 Start the PI Configurator utility, and connect the sensor to the computer with the programming cable.
• Connect the sensor
2 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
3 Click the Read Sensor button.
Observe that the current sensor configuration parameters are displayed in the appropriate fields.
4 If required, select the Remote sensor’s number in the Remote spin box.
• The Twin Spread sensor can use Remote combinations 1 and 3 or 2 and 4.
• The selection you make here must match the combination you have selected for the Twin Spread sensor. For example, if you have selected combination 2 and 4, you must set up one Remote sensor as #2, and one as #4.
5 Click the Program Sensor button to upload the new parameters.
6 Click the Terminate Communication button to disable the communication between the computer and the sensor.
7 Disconnect the alligator clips from the sensor.
8 Repeat the same procedure for the second Remote sensor.
9 Disconnect the alligator clips from the sensor.
If you do not wish to program additional sensors, disconnect the entire programming cable, and close the PI Configurator utility.


How to do Geometry configuration
These procedures explain how to set up a Geometry sensor with its corresponding Mini-R units.
Observe the information about the Geometry sensor provided in the Introduction chapter.
Topics
• Geometry configuration
• Mini–R configuration
Related topics
• Geometry and Mini-R sensors configuration
Geometry configuration
This procedure explains how to set up a Geometry sensor.
1 Start the PI Configurator utility, and connect the sensor to the computer with the programming cable.
• Connect the sensor
2 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
3 Click the Read Sensor button.
Observe that the current sensor configuration parameters are displayed in the appropriate fields.
4 If required, select new communication channels in the two Channel spin boxes.
Two communication channels are used to read the information from the Geometry sensor. These are simply identified as #1 and #2.
5 If required, select a new update rate in the Update spin box.
6 If required, select the Mini–R combination in the Mini-R spin box.
1 You can use Mini–R combinations 1 and 3 or 2 and 4.
2 The number identifies the Mini–R sensors to be used, and the Geometry sensor must then be set up with the corresponding number.
3 The combination you select here must match the two Mini–R sensors you wish to use. For example, if you select combination 1 and 3, the two Mini–R sensors to be used must be set up as #1 and #3.
7 Click the Program Sensor button to upload the new parameters.
8 Click the Terminate Communication button to disable the communication between the computer and the sensor.
9 Disconnect the alligator clips from the sensor.
If you do not wish to program additional sensors, disconnect the entire programming cable, and close the PI Configurator utility.
Mini–R configuration
This procedure explains how to set up the Mini-R sensors for use with the Geometry sensor.
1 Start the PI Configurator utility, and connect the sensor to the computer with the programming cable.
• Connect the sensor
2 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
3 Click the Read Sensor button.
Observe that the current sensor configuration parameters are displayed in the appropriate fields.
4 If required, select the Mini–R sensor’s number in the Mini–R spin box.
• The Geometry sensor can use Mini–R combinations 1 and 3 or 2 and 4.
• The selection you make here must match the combination you have selected for the Geometry sensor. For example, if you have selected combination 2 and 4, you must set up one Mini–R sensor as #2, and one as #4.
5 Click the Program Sensor button to upload the new parameters.
6 Click the Terminate Communication button to disable the communication between the computer and the sensor.
7 Disconnect the alligator clips from the sensor.
8 Repeat the same procedure for the second Mini–R sensor.
9 Disconnect the alligator clips from the sensor.
If you do not wish to program additional sensors, disconnect the entire programming cable, and close the PI Configurator utility.


How to upload factory defaults
Once the sensor is connected to the computer, and you have established communication, you can use the PI Configurator utility to upload the applicable sensor’s factory settings.
Note
When the PI Configurator is set up for use in User mode, these are the only settings you are permitted to change.
• About sensor configuration
1 Start the PI Configurator utility, and connect the sensor to the computer with the programming cable.
• Connect the sensor
2 Click Establish Communication, and wait for the PI Configurator utility to interface with the sensor.
When communication is established, the PI Configurator utility will automatically adapt to the sensor type currently connected. This means that buttons and displays that are not applicable for the sensor will be unavailable.
3 Click the Read Sensor button.
Observe that the current sensor configuration parameters are displayed in the appropriate fields.
4 Click the Default Sensor Setting button to retrieve the default settings for the current sensor.
5 Click the Program Sensor button to upload the new parameters.
6 Click the Terminate Communication button to disable the communication between the computer and the sensor.
7 Disconnect the alligator clips from the sensor.
If you do not wish to program additional sensors, disconnect the entire programming cable, and close the PI Configurator utility.


Software procedures
Software upgrades are useful if your PI Configurator fails, and you suspect a software error. An upgrade is also required whenever the PI Configurator software is modified.
If you experience problems during a software installation or upgrade, write down the installation parameters. Remove the PI Configurator software entirely, then reinstall from scratch.
• How to install the PI Configurator software
• How to obtain the PI Configurator license
• How to upgrade the PI Configurator software
• How to remove the PI Configurator software


How to install the PI Configurator software
Use this procedure if you need to install the software on a computer.
1 Power up the computer.
2 Insert the PI Configurator CD-ROM.
If your computer is not fitted with a CD or DVD drive, copy the files from the CD to a USB memory stick.
3 Observe that the installation program opens.
If the installation program does not start automatically, use a file manager to access the CD or USB memory stick.
Double-click on the Setup.exe file to start the installation.
4 Allow the installation program to run. Follow the instructions provided.
5 Once the installation has been completed, double-click the program icon on the desktop to start the application.
6 If you use Windows 7 operating system:
1 Observe that Windows 7 Firewall will open a dialog requesting information about the network.
2 Select Public, and click Allow access.


How to obtain the PI Configurator license
No license is required. The PI Configurator utility is free.


How to upgrade the PI Configurator software
Use this procedure if you wish to reinstall the software, or receive a new CD-ROM with a software upgrade.
1 Observe the procedure for software installation.
• How to install the PI Configurator software


How to remove the PI Configurator software
You may wish to remove the PI Configurator software from your computer.
1 Observe the operating system’s functionality for software removal.


Command references
Which features that are made available when using the PI Configurator utility depend on the current operational mode and the type of sensor that is interfaced. All commands are described here.
Topics
• Communication commands
– Establish Communication
– Read Sensor
– Program Sensor
– Terminate Communication
– Default Sensor Setting
• Configuration commands
– Sensor
– Update
– Measure
– Channel
– Ping Control
– Remote
– Mini-R
– LED Control
– Number
– Show Channel
– Listening Mode
• Parameter displays
– Serial Number
– Battery Voltage
– Sensor Temperature
– Battery Temperature
– Software Version
– Battery Type
– FPGA Function
– FPGA Version
– Battery Capacity
• File menu commands
– Communication Port Setup
– Language
– Debug window
– Quit
• Help menu commands
– Help
– About


Communication commands
The commands in the Communication group are described below.
• Establish Communication
• Read Sensor
• Program Sensor
• Terminate Communication
• Default Sensor Setting


Establish Communication
This button initiates contact between the computer and a well charged sensor by sending it a "wake-up" command.
Once two-way communication is established the following occurs:
• The indicator lamp (in the lower right-hand corner of the dialogue) will be turned on and off every two seconds.
• The LED inside the interfaced sensor will illuminate every two seconds.
• The sensor will upload its current configuration data to the computer. The information is shown in the various fields in the main dialogue.
To operate, click the Establish Communication button. Check that the fields show the interfaced sensor’s current configuration parameters.
To terminate the communication with the sensor, click the Terminate Communication button.
Related topics
• Terminate Communication


Read Sensor
This button requests that the current configuration data in the sensor are sent from the sensor to the computer.
When the Read Sensor button is clicked, the sensor will automatically download its information to the computer. This data is then shown in the dedicated parameter fields.
To operate, click the Read Sensor button. Check that the appropriate fields are populated with the interfaced sensor’s data.
Note
Prior to read the sensor’s data, the communication between the computer and the sensor must have been established.


Program Sensor
This button is used to download the currently interfaced sensor with the new parameters selected (those presently displayed).
This operation can not be undone, however, the sensor’s previous status information and parameter configuration is still available in the main dialogue box and may be re-entered if necessary.
To operate, click the Program Sensor button. Check that the appropriate fields are populated with the interfaced sensor’s data.
Note
Prior to upload new sensor configuration, the communication between the computer and the sensor must have been established.


Terminate Communication
Press this button to terminate the serial data flow between the sensor and the computer.
To operate: click the Terminate Communication button to disable the communication, then disconnect the cable. If you disconnect the cable before you terminate the data flow, the PI Configurator will issue a error message.


Default Sensor Setting
This parameter is used to restore a sensor’s factory default values, according to the type of sensor currently connected.
Factory default settings include:
• Communication Channel.
• LED control
• Ping control
• Update rate
• Remote
• Show channel at start-up
To operate, click the Default Sensor Setting button to load the parameters. Then, click the Program Sensor button to program the interfaced sensor with the new parameters.
Related topics
• Default communication channels and update rates
• Program Sensor


Configuration commands
The commands in the Configuration group are described below.
• Sensor
• Update
• Measure
• Channel
• Ping Control
• Remote
• Mini-R
• LED Control
• Number
• Show Channel
• Listening Mode


Sensor
This field displays if the type of sensor currently connected to the computer and the PI Configurator utility is a Single or Dual sensor.
You are not permitted to change this parameter.


Update
This parameter is used to select an interfaced sensor’s data update rate.
Note
This is a key parameter. Unless the data update rate defined in the sensor matches the rate defined on the host PI system, the communication will not work!
The data update rate is the time interval between individual transmissions from the sensor containing measurement data. The rate selected must match the corresponding setting in the PI system’s setup.
To operate, click the Update spin box next to select the desired rate. Then, click the Program Sensor button to program the interfaced sensor with the new data update rate parameter.
Related topics
• About sensor configuration
• Program Sensor


Measure
This field displays the type of measurement made by the sensor currently connected to the computer and the PI Configurator utility.
• If the sensor currently connected is a “single” type, only one of the Measure fields will be populated.
• If the sensor currently connected is a “dual” type, both Measure fields will be populated.
You can not alter the contents of this field.


Channel
This parameter allows you to redefine the sensor’s communication channel.
• If the sensor currently connected is a “single” type, only one of the Channel fields will need to be populated.
• If the sensor currently connected is a “dual” type, both Channel fields will need to be populated.
Note
This is a key parameter. Unless the communication channel defined in the sensor matches the channel defined on the host PI system, the communication will not work!
Sensors send information using specific frequencies, each designated as an individual channel. PI and PS sensors have 30 channels to choose from, and the FA701 sensors have four. The frequency range of these channels are of from 43.5 to 49.5 kHz for PI and PS systems, and 70 to 80 kHz for FA710 systems.
To operate, click the up or down arrow in the Channel spin box until the desired channel is shown. Click the Program Sensor button to program the interfaced sensor with the new channel number parameter. Finally, check that the field is updated with the new parameter.
Special settings
1 Spread sensors can be programmed to communicate with Remote sensors #1 or #2. These must also be labelled accordingly because they must be used in pairs and can not be interchanged. It is important to remember to redefine the Spread 2 communication channel.
2 Spread sensors programmed as Twin Spread have two communication channel settings.
3 Dual sensors have two communication channel settings.
Related topics
• About sensor configuration
• Program Sensor


Ping Control
This parameter is only available for depth sensors.
The parameter is used to control when a sensor will “ping” (transmit an acoustic signal). For example, it is possible to disable the sensor from being inadvertently activated when lying in a wet net on deck (a depth of less than two meters) to prolong its battery life. The available parameters are:
• Always: The sensor will “ping“ at all depths during normal operation.
• Depth > 2 m: The sensor will “ping“ only when it is at a measured depth of more than two meters (deployed).
You are not permitted to change this setting.


Remote
This parameter is only available for Spread, Twin Spread and Remote sensors. The parameter allows selection of the channels used to communicate between the Spread and Remote sensors.
Note
These are key parameters when you work with Spread and Remote sensors. Make sure the correct channels are selected for all the sensors. Should incorrect parameters be chosen, the sensors will not be able to communicate with each other, and the PI Operator Unit will display “± ± ±".
• When a Spread sensor is connected, the Remote spin box is used to select which Remote sensor(s) the Spread sensor shall communicate with. In a single trawl system, you can select 1 or 2. In a twin trawl and a dual twin trawl system, you must select either pair 1 and 3 or pair 2 and 4.
• When a Remote sensor is connected, you must use the Remote spin box to define the identification number to be used by the sensor. This can be any number between 1 and 4.
To operate, click the Remote spin box next to select the desired rate. Then, click the Program Sensor button to program the interfaced sensor with the new parameter.
Related topics
• How to do Twin Spread configuration
• Program Sensor


Mini-R
This parameter is only available for the Geometry sensor. The parameter allows selection of the Mini-R responders used to make the sensor measurements.
Note
These are key parameters when you work with Geometry sensors. Make sure the correct Mini-R responders are selected. Should incorrect parameters be chosen, the Geometry sensor will not be able to communicate with the responders, and the PI Operator Unit will display “± ± ±".
When a Geometry sensor is connected, the Mini-R spin box is used to select which two responders the Geometry sensor shall communicate with.
To operate, click the Remote spin box next to select the desired rate. Then, click the Program Sensor button to program the interfaced sensor with the new parameter.
Related topics
• How to do Geometry configuration
• Program Sensor


LED Control
This button displays the current behaviour of the interfaced sensor’s internal LED during normal operation, charging and communication modes. The setting can not be altered.
Sensor LED parameters are:
• Start-up Only: The LED will only illuminate (flashing its identification code) when it is energized. It will not be turned on during normal operation.
• Only when Pinging: The LED will only illuminate when it transmits data.
• When <2 m: The LED will flash every time the sensor transmits data, but only when it is at a depth of less than two meters. This parameter is only available for depth sensors.
• Always: If the sensor is disabled from transmission at depths less than two meters by the Ping Control parameter being set to Depth < 2 m, this Always parameter causes the sensor’s LED to illuminate at depths of less than two meters even when the sensor does not transmit.


Number
This parameter is only available for Remote and Mini-R sensors. The parameter allows selection of the Remote or Mini-R number; 1, 2 3 or 4.
For the Remote sensors, this parameter is applied as follows:
• Remote 1 is used with a Spread sensor set up to communicate with a Remote 1, and as one of the two Remote sensors used with a Twin Spread 1.
• Remote 2 is used with a Spread sensor set up to communicate with a Remote 2, and as one of the two Remote sensors used with a Twin Spread 2.
• Remote 3 is used with a Spread sensor set up to communicate with a Remote 3, and as one of the two Remote sensors used with a Twin Spread 1.
• Remote 4 is used with a Spread sensor set up to communicate with a Remote 4, and as one of the two Remote sensors used with a Twin Spread 2.
The Geometry sensor uses Mini-Rs in combinations 1 and 3 and 2 and 4.
Note
These are key parameters when you work with Geometry, Spread and Remote sensors. Make sure the correct channels are selected for all the sensors. Should incorrect parameters be chosen, the sensors will not be able to communicate with each other, and the PI Operator Unit will display “± ± ±".
To operate, click the Number spin box next to select the desired value. Then, click the Program Sensor button to program the interfaced sensor with the new parameter.
Related topics
• About sensor configuration
• Program Sensor


Show Channel
This button shows if the sensor when first connected will flash its channel identification code using the internal LED. The setting can not be changed.
When this feature is enabled, the sensor will flash its presently programmed communication channel number at start-up when in the normal mode (not in the charge or communication modes). This feature may also be activated by touching a sensor’s lid and charging lug simultaneously. When activated, the sensor will respond by flashing its individual LED identification codes, as follows:
1 One long flash: It has a duration of approximately 1 second.
2 One start flash: This signals that the first digit of the channel number is next.
3 None, one, two or three short flashes: The number of short flashes signifies the first digit of the programmed channel number.
4 A second start flash: This signals that the second digit of the channel number is next.
5 None to nine short flashes: The number of short flashes signifies the second digit of the programmed channel number.
Show channel, example; Channel #16 at start-up
A A one second “long flash"
B A start "flash"
C One “quick flash" (first digit of 16 is 1)
D A start "flash"
E Six "quick flashes" (second digit of 16 is 6)
Normal operation starts.
Show channel, example; Channel #2 at start-up
A A one second “long flash"
B A start "flash"
C No short flashes (first digit of 02 is 0)
D A start "flash"
E Two short flashes (second digit of 02 is 2)
Normal operation starts.


Listening Mode
This parameter is only valid for Remote Mk.1 sensors.
It is used to define how often the sensor listens for acoustic requests from the Spread sensor. In a single trawl system, these requests appear less often than in a dual trawl system.
If you use the Remote sensor in a single trawl application, you can select Single to conserve battery. If you use the sensor in a dual trawl application, you must set this parameter to Dual.


Parameter displays
The displays provided in the Parameter group are described below.
• Serial Number
• Battery Voltage
• Sensor Temperature
• Battery Temperature
• Software Version
• Battery Type
• FPGA Function
• FPGA Version
• Battery Capacity


Serial Number
The Serial Number field displays the serial number of the sensor that is currently connected to the PI Configurator utility.
You can not change this information.
Note
The serial number on PS Sensors can not be investigated by means of this function.


Battery Voltage
The Battery Voltage field displays the voltage of the battery in the sensor that is currently connected to the PI Configurator utility. You can not change this information.
The voltage displayed will depend on the type of sensor. A summary of the sensor and battery types is provided in the tables.
Note
If the voltage on a recently charged sensor battery is no higher than the 50% capacity value, the battery should be replaced.
If the sensor battery is allowed to discharge to a voltage less than approximately 9 Vdc, it will be damaged.
Battery types in PS Sensors
Sensor | Battery type | Fully charged | 50% capacity | Fully discharged
PI Bottom Contact | Normal charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Depth | Normal charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Catch | Normal charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Temperature | Normal charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
Battery types in S-Type PI Sensors
Sensor | Battery type | Fully charged | 50% capacity | Fully discharged
PI Bottom Contact | Fast charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Depth | Fast charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Catch | Fast charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Temperature | Fast charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Remote Mk.1 | Fast charge | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Remote Mk.2 | Remote Mk.2 | > 13,5 V | ≈ 12,8 V | < 11,5 V
Battery types in L-Type PI Sensors
Sensor | Battery type | Fully charged | 50% capacity | Fully discharged
PI Height | PI Height | > 12,1 V | ≈ 11,5 V | < 10,3 V
PI SeineSounder | PI Height | > 12,1 V | ≈ 11,5 V | < 10,3 V
Pi Spread/Depth | PI Height | > 12,1 V | ≈ 11,5 V | < 10,3 V
PI Remote/Depth | PI Height | > 12,1 V | ≈ 11,5 V | < 10,3 V
PI Spread Mk.1 | Spread Mk.1 | > 13,5 V | ≈ 12,8 V | < 11,5 V
PI Spread Mk.2 | PI Height | > 12,1 V | ≈ 11,5 V | < 10,3 V


Sensor Temperature
The Sensor Temperature field displays the temperature measured inside the sensor that is currently connected to the PI Configurator utility. You can not change this information.
The temperature is always given in °C.
Note
Observe the temperature limitations provided for charging the sensor. These are provided with the charger.


Battery Temperature
The Battery Temperature field displays the temperature of the battery in the sensor currently connected to the PI Configurator utility. You can not change this information.
The temperature is always given in °C.
Note
Observe the temperature limitations provided for charging the sensor. These are provided with the charger.


Software Version
The Software Version field displays the current version of the control software in the sensor currently connected to the PI Configurator utility. You can not change this information.
Tip
This field does not display the current software version of the PI Configurator utility. In order to find this information, select Help→About on the main menu.


Battery Type
The Battery Type field displays the type of battery in the sensor currently connected to the PI Configurator utility. You can not change this information.


FPGA Function
The FPGA Function field displays the current function of the processing software in the sensor currently connected to the PI Configurator utility. You can not change this information. Typical values are:
• Height
• Spread/Remote
• Remote
• Geometry
The abbreviation FPGA means “Field Programmable Gate Array”.


FPGA Version
The FPGA Version field displays the current version of the processing software in the sensor currently connected to the PI Configurator utility. You can not change this information.
The abbreviation FPGA means “Field Programmable Gate Array”.


Battery Capacity
The Battery Capacity field displays the capacity of battery in the sensor currently connected to the PI Configurator utility. The capacity is provided in mA. You can not change this information.


File menu commands
The commands on the File menu are described below.
• Communication Port Setup
• Language
• Debug window
• Quit


Communication Port Setup
This command on the File menu opens the Com Port Setup dialogue. The integrated slider bar is used to designate which COM port (COM1 to COMn) the programming cable is plugged into. COM1 is the factory default setting and recommended parameter.
To operate, click the Com.port setup command on the File menu. Then, use the available Port number spin box to choose the correct communication port. If the chosen COM port is unavailable on the computer, a corresponding message will inform you about this.
Note that when if you change communication port, the computer may use some time to identify the new communication.


Language
This command on the File menu opens the Language dialogue.
The Language dialogue allows you to select operational language. Selecting a different language will convert the PI Configurator’s buttons, information, help functions and interfaced sensor data to the respective language.
To operate, click the Language command on the File menu. Click to select language, or click Cancel to close the dialogue without replacing the present language in use.


Debug window
This function is only available for Distributor and Factory users. The window allows you to monitor the traffic on the RS-232 serial line between the sensor and the computer.


Quit
You can exit the PI Configurator application from two places:
• Select Quit on the File menu.
• Click the Quit button in the bottom right corner of the main window.
Both options will close down the PI Configurator application immediately. If you have a sensor connected, the communication will be aborted. If you have entered parameters, but have not yet clicked the Program Sensor button, the parameters will not be saved in the sensor.


Help menu commands
The commands on the Help menu are described below.
• Help
• About


About
This command on the Help menu opens the About dialogue.
The About dialogue provides information related to the current PI Configurator software version you have installed.
To operate, click the About command on the Help menu.


Help
This command on the Help menu opens the PI Configurator context sensitive on-line help.
The PI Configurator documentation is provided in two versions; on-line help on the CHM format, and a printable version on PDF format. The PDF version is also interactive. It is provided on the PI Configurator CD, and it can be downloaded from our web site at www.simrad.com. The contents of these two versions are identical!
On on-line help can also be opened by right-clicking any of the command buttons in the main window.


Maintenance
This chapter contains information related to maintenance, setup and troubleshooting.
Topics
• PI CIC interface cable for USB
• Programming cable for RS-232
• Troubleshooting


PI CIC interface cable for USB
The PI Configurator Interface Cable (CIC) offers a simple method to connect any sensor to your computer using the common USB interface format.
• Purpose and preparations
• Instructions for use
• Software driver
• COM port identification


Purpose and preparations
The PI Configurator Interface Cable (CIC) allows you to connect any PI sensor to a USB port on your computer for sensor setup and configuration.
The PI Configurator Interface Cable (CIC) comprises a small black box with two cables:
• One cable is fitted with a standard USB “A” cable. This cable is connected to any vacant USB socket on your computer.
• The other cable is fitted with to crocodile clips. These connect to the sensor. The red clip must be connected to the positive fastening lug on the sensor, while the black clip must be connected to the negative fastening lug.
Whenever you prepare a sensor for configuration and/or charging, make sure that mounting material attached to the charging lugs do not form an electrical connection, as this will short the charging current.
PI Configurator Interface Cable (CIC)
In order to use the PI Configurator Interface Cable (CIC) you must install a software driver on your computer.
The software driver is available on the PI Configurator software CD. The CD can be downloaded from www.simrad.com.


Instructions for use
This procedure assumes that you have installed the software driver for the PI Configurator Interface Cable (CIC).
1 Power up your computer.
2 Connect the USB “A” plug on the PI Configurator Interface Cable (CIC) to a vacant USB port on your computer.
If possible, use the same USB port every time.
If necessary, observe COM port identification.
3 Start the PI Configurator application.
4 In the PI Configurator application, identify and select the communication port to be used for sensor setup and configuration.
5 Attach the positive (red) alligator clip to one of the sensor’s positive fastening lugs (identified with a plus symbol).
6 Attach the negative (black) alligator clip to one of the sensor’s negative fastening lugs (identified with a minus symbol).
7 Observe the operational procedures for the PI Configurator program.


Software driver
This procedure explains how to install the software driver required for the PI Configurator Interface Cable (CIC).
The software driver is available on the PI Configurator software CD. The CD can be downloaded from www.simrad.com.
1 Insert the PI Configurator CD.
2 Open a file manager utility to access the files on the CD.
3 Locate the setup.exe installation program for the software driver.
It is located in folder pi_cic_driver on the PI Configurator CD.
4 Double-click on setup.exe to start the installation.
5 Follow the instructions given by the installation program.


COM port identification
When you use the PI Configurator utility with the PI Configurator Interface Cable (CIC), the computer will automatically assign a COM port. If you change the physical USB socket you use, or if you use other USB devices in the same USB port, the operating system may assign a different COM port the next time you wish to use the PI Configurator Interface Cable (CIC). Since the PI Configurator application requires you to identify which COM port you use, you may need to investigate this.
1 Observe the following procedure for Windows® XP®:
1 Click the Start button in the lower left corner of your display, select Settings, and then Control Panel.
2 Double-click on the System icon.
3 Click the Hardware tab, and then click the Device Manager button.
4 Open Ports (COM & LPT), and locate the PI Configurator Interface Cable (CIC) device on its assigned COM port.
5 Close all windows, and identify the COM port when you start the PI Configurator application.
2 Observe the following procedure for Windows® 7:
1 Open the Control Panel, and select Classic View.
2 Observe the same procedure as for Windows XP.


Programming cable for RS-232
Should a PI Configurator programming cable not be available, it is possible to make an adequate substitution as described below.
Note however that not all computers and sensors will work with this cable!
It is only possible to make programming cables for stationary computers. If you wish to use a portable computer the cable must be ordered from Simrad. Some new stationary computers have been found to provide the same output specifications as portable computers using lower voltage on the serial line. On these computers, a “portable“ cable is also required.
Programming cable
A Red cable connects to pin 3 in the D-Connector
B Blue cable connects to pin 5 in the D-Connector
C 9-pin female D-Connector
Observe the following procedure to manufacture a programming cable for desktop computers.
You will need the following parts:
• A 9-pin, Sub-D female connector
• Approximately one to two meters of 2-wire cable
• A 3 kohm resistor
• Two alligator clamps
Proceed as follows:
1 Connect pin number three (-3-) of the 9-pin, Sub-D female connector to one end of the positive (+) lead of the 2-wire cable. At the other end of the positive (+) lead, connect the positive (red) alligator clamp.
2 Connect pin number five (-5-) of the 9-pin, Sub-D female connector to one end of the negative (-) lead of the 2-wire cable. At the other end of the negative (-), connect the negative (black) alligator clamp.
3 Connect the 3 kohm resistor between pins number two (-2-) and three (-3-) of the 9-pin, Sub-D female connector.
4 Check both alligator clamps and respective pins for continuity.


Troubleshooting
Most problems are easily solved. Investigate the interface, configuration or other complications by means of the following guidelines.
• The interfaced sensor is sufficiently charged.
• The correct PI sensor programming cable is used and in good condition.
• The PI sensor programming cable is connected to the computer’s COM port correctly.
• The PI sensor programming cable is connected to the sensor correctly.
• The PI sensor programming cable is connected to the COM port selected in the Com Port Setup dialog box.
• The mode of operation for the PI Configurator software has been correctly selected.
• The type of sensor interfaced has the features and/or parameters attempting to be set up.
• The latest version of PI Configurator software has been correctly installed.